--- 0.8.8a/lib/api_device.php
+++ 0.8.8a-patched/lib/api_device.php
@@ -119,13 +119,17 @@
 	if ($save["snmp_version"] == 3) {
 		$save["snmp_username"]        = form_input_validate($snmp_username, "snmp_username", "", true, 3);
 		$save["snmp_password"]        = form_input_validate($snmp_password, "snmp_password", "", true, 3);
-		$save["snmp_auth_protocol"]   = form_input_validate($snmp_auth_protocol, "snmp_auth_protocol", "^MD5|SHA$", true, 3);
+		$save["snmp_auth_protocol"]   = form_input_validate($snmp_auth_protocol, "snmp_auth_protocol", "^\[None\]|MD5|SHA$", true, 3);
 		$save["snmp_priv_passphrase"] = form_input_validate($snmp_priv_passphrase, "snmp_priv_passphrase", "", true, 3);
-		$save["snmp_priv_protocol"]   = form_input_validate($snmp_priv_protocol, "snmp_priv_protocol", "^DES|AES128$", true, 3);
+		$save["snmp_priv_protocol"]   = form_input_validate($snmp_priv_protocol, "snmp_priv_protocol", "^\[None\]|DES|AES128$", true, 3);
 		$save["snmp_context"]         = form_input_validate($snmp_context, "snmp_context", "", true, 3);
 	} else {
 		$save["snmp_username"]        = "";
 		$save["snmp_password"]        = "";
+		$save["snmp_auth_protocol"]   = "";
+		$save["snmp_priv_passphrase"] = "";
+		$save["snmp_priv_protocol"]   = "";
+		$save["snmp_context"]         = "";
 	}
 
 	$save["snmp_port"]            = form_input_validate($snmp_port, "snmp_port", "^[0-9]+$", false, 3);
